version: '3'
services:
  mysql:
    hostname: mysql
    image: mysql:5.7
    container_name: mysql1
    restart: always
    ports:
      - "3306:3306"
    volumes:
      - "./mysql/my.cnf:/etc/mysql/my.cnf"
      - "./mysql:/var/lib/mysql"
      - "./mysql/logs:/logs"
    environment:
      MYSQL_ROOT_PASSWORD: root
      TZ: Asia/Shanghai
  nginxWebUi:
    image: cym1102/nginxwebui:latest
    container_name: nginxWebUI
    volumes:
      - type: bind
        source: "./nginxWebUI"
        target: "/home/nginxWebUI"
    environment:
      BOOT_OPTIONS: "--server.port=8080"
    privileged: true
    network_mode: "host"
  minio:
    image: minio/minio
    command: server /data --console-address ":9001"
    volumes:
      - ./minio/data:/data # 持久化地址
    ports:
      - "9000:9000" # 绑定端口
      - "9001:9001"
    container_name: minio
    restart: always
    environment:
      MINIO_ROOT_USER: raoneminio # 账号
      MINIO_ROOT_PASSWORD: raoneminio #密码
  emqx:
    image: emqx/emqx:5.1.0
    container_name: emqx1
    ports:
      - 1883:1883
      - 8083:8083
      - 4369:4369
      - 8883:8883
      - 18083:18083
    volumes:
      - ./emqx/data:/opt/emqx/data # 持久化地址
      - ./emqx/emqx.conf:/opt/emqx/etc/emqx.conf # 持久化地址
#    depends_on: mysql
